local addonName, A = ...

-- "Recipe" data
-- [itemID] = {
--     {reagentID, numberNeeded}
--     {reagentID, numberNeeded, minProduced, maxProduced}
--     {reagentID, numberNeeded, chanceToHaveOne}}
A.ProspectingData = {
	-- Prospect
	[774] = { -- Malachite
		{2770,5,0.5}}, -- Copper Ore
	[818] = { -- Tigerseye
		{2770,5,0.5}}, -- Copper Ore
	[1210] = { -- Shadowgem
		{2771,5,0.38}, -- Tin Ore
		{2770,5,0.1}}, -- Copper Ore
	[1705] = { -- Lesser Moonstone
		{2771,5,0.38}, -- Tin Ore
		{2772,5,0.35}}, -- Iron Ore
	[1206] = { -- Moss Agate
		{2771,5,0.37}}, -- Tin Ore
	[1529] = { -- Jade
		{2772,5,0.35}, -- Iron Ore
		{2771,5,0.03}}, -- Tin Ore
	[7909] = { -- Aquamarine
		{3858,5,0.35}, -- Mithril Ore
		{2772,5,0.05}, -- Iron Ore
		{2771,5,0.03}}, -- Tin Ore
	[3864] = { -- Citrine
		{2772,5,0.36}, -- Iron Ore
		{3858,5,0.35}, -- Mithril Ore
		{2771,5,0.03}}, -- Tin Ore
	[7910] = { -- Star Ruby
		{3858,5,0.36}, -- Mithril Ore
		{10620,5,0.15}, -- Thorium Ore
		{2772,5,0.05}}, -- Iron Ore
	[12799] = { -- Large Opal
		{10620,5,0.31}, -- Thorium Ore
		{3858,5,0.03}}, -- Mithril Ore
	[12361] = { -- Blue Sapphire
		{10620,5,0.31}, -- Thorium Ore
		{3858,5,0.02}}, -- Mithril Ore
	[12800] = { -- Azerothian Diamond
		{10620,5,0.31}, -- Thorium Ore
		{3858,5,0.02}}, -- Mithril Ore
	[12364] = { -- Huge Emerald
		{10620,5,0.31}, -- Thorium Ore
		{3858,5,0.02}}, -- Mithril Ore
	[23112] = { -- Golden Draenite
		{23424,5,0.19}, -- Fel Iron Ore
		{23425,5,0.18}}, -- Adamantite Ore
	-- To be continued...
}

-- "Tradeskill" data
local ProspectID = 31252
local macroProspect = "/cast "..GetSpellInfo(ProspectID).."\n/use %s"
local ProspectLink = GetSpellLink(ProspectID)

-- Add "Tradeskill" data to each "recipe"
for itemID,t in pairs(A.ProspectingData) do
	for i,v in ipairs(t) do
		v.macro = macroProspect
		v.spellID = ProspectID
		v.spellLink = ProspectLink
	end
end
